#pragma once

#include "barcode.h"

//typedef struct __ldm_barcode_block_
//{
//	RvBox2D  box;
//	RvImage  image;
//}LDM_BARCODE_BLOCK;

class BCR_API CLaserDataMatrix :	public CBarcode
{
public:
	CLaserDataMatrix(void);
	virtual ~CLaserDataMatrix(void);

	virtual BOOL   Serialize(HANDLE device, BOOL bIn ) ;
	virtual CUCObj* Clone(  CUCObj *twin) ;

	virtual int  Read() ;
	virtual int  Locate(RvImage image, RvBox2D* pBoxArr, int size);

public:
	int   m_nMaxDirtySize;  //最大的脏污尺寸
	int   m_nBarCount;      //块数量,最小10
	int   m_nBarSize;       //块大小,单位：像素,自动计算块数量的时候用
protected:
//	RvImage GenNormalBarcodeImage(const RvImage image, RvBox2D box, double scale );

//protected:
  //  RvSequence m_seq;
	//RvImage m_imNbc;  //规范化后的图像
};

